Retrieve security settings
Retrieves the current security settings for MATTR portal authentication.
Analytics Events
bearerAuthAuthorizationBearer <token>Security settings retrieved.
application/json- response
The current security settings for MATTR portal authentication.
ssoConfiguration*Configuration settings for Single Sign-On (SSO).
sessionSettings*Configuration settings for user sessions.
passwordPolicies?Configuration settings for password policies.
mfaSettings*Configuration settings for Multi-Factor Authentication (MFA).
ipRestrictions?array<>A list of IP restrictions for accessing the portal.
curl -X GET 'https://manage.au01.mattr.global/v1/security-settings'{ "ssoConfiguration": { "isEnabled": true, "issuerUrl": "https://sso.example.com" }, "sessionSettings": { "sessionTimeout": 259200 }, "passwordPolicies": { "minLength": 12, "history": 2 }, "mfaSettings": { "isEnabled": true }, "ipRestrictions": [ { "cidr": "192.168.0.0/24", "description": "Office network" } ]}How would you rate this page?
Create API Auth Token POST
Returns an API access token specific to the Management API. This token must then be used as an authorization header for all requests to protected endpoints (this is required for the majority of operations). Note that the authentication domain does not include a region code, unlike the Management API base URL. Use `auth.manage.mattr.global` for all regions.
Retrieve environments GET
Retrieves a list of all available environments.